#include<stdio.h>
#include<math.h>
main()
{
int p,q,r,k=0;
int L,R;
scanf("%d%d%d%d%d",&p,&q,&r,&L,&R);
while(L<=R)
{
if((ceil((float)L/p)+ceil((float)L/q)+ceil((float)L/r))<=L)
k++;
L++;
}
printf("%llu",k);
}